<!--player-->
<div class="center" *ngIf="items?.length">
  <img class="player-image" [src]="items[counter]">
  <div>
    <button class="button" (click)="gotoPrevImage()">PREV</button>
    <span class="counter"> {{counter + 1}} / {{items.length}}</span>
    <button class="button" (click)="gotoNextImage()">NEXT</button>
  </div>
</div>

<!--gallery-->
<div class="gallery">

  <div class="center">
    <form #f="ngForm" (submit)="addImage(f.value.tmb)">
      <input type="text" placeholder="Add new image URL" [ngModel] name="tmb">
      <button class="button" type="button" (click)="generateRandomImage()">Generate Image</button>
    </form>
  </div>

  <div class="image-container">
    <div class="grid">
      <div class="cell" *ngFor="let item of items">
        <img class="responsive-image" [src]="item" (click)="setCurrentImage(item)">
        <span class="icon cursor" (click)="deleteImage(item)">✖</span>
      </div>
    </div>
  </div>
</div>

<pre>{{counter}}</pre>
